---
title: "Historical contract: Get All Event Rules"
description: "Historical Ordering.co API contract for GET /event_rules (Get All Event Rules), kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/get-all-event-rules/
---

# Historical contract: Get All Event Rules

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Get All Event Rules

This API endpoint is used to all event rules

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/event_rules/GET/event_rules)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "params",
    "in": "query",
    "schema": {
      "type": "string"
    }
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": [\n    {\n      \"id\": 1,\n      \"name\": \"<redacted-personal>\",\n      \"description\": \"This is a test\",\n      \"times\": [\n        60\n      ],\n      \"date\": null,\n      \"enabled\": true,\n      \"launch_type\": \"times\",\n      \"type\": \"abandoned_cart\"\n    }\n  ],\n  \"pagination\": {\n    \"total\": 1,\n    \"from\": 1,\n    \"to\": 1,\n    \"current_page\": 1,\n    \"page_size\": 1,\n    \"total_pages\": 1,\n    \"fisrt_page\": null,\n    \"back_page\": null,\n    \"next_page\": null,\n    \"last_page\": null\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer",
                    "example": 1,
                    "default": 0
                  },
                  "name": {
                    "type": "string",
                    "example": "<redacted-personal>"
                  },
                  "description": {
                    "type": "string",
                    "example": "This is a test"
                  },
                  "times": {
                    "type": "array",
                    "items": {
                      "type": "integer",
                      "example": 60,
                      "default": 0
                    }
                  },
                  "date": {},
                  "enabled": {
                    "type": "boolean",
                    "example": true,
                    "default": true
                  },
                  "launch_type": {
                    "type": "string",
                    "example": "times"
                  },
                  "type": {
                    "type": "string",
                    "example": "abandoned_cart"
                  }
                }
              }
            },
            "pagination": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "from": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "to": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "current_page": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "page_size": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "total_pages": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "fisrt_page": {},
                "back_page": {},
                "next_page": {},
                "last_page": {}
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
